#include <stdio.h>
#include <stdlib.h>


#include "Quests.h"

char* addQuest(int curQuest, int maxQuest)
{
    int questType, newQuestStringSize;
    char *questText, *newQuestText;

    questText = NULL;
    newQuestText = NULL;

    if(curQuest < maxQuest)
    {
        questType = rand()%QUEST_TYPES;
        questText = addQuestText(questType);
        ++curQuest;
        newQuestText = addQuest(curQuest, maxQuest);
    }
    //A nova quest pode ser criada.
    //Precisamos adiciona-la!
    if(newQuestText != NULL)
    {
        newQuestStringSize = strlen(questText)+strlen(newQuestText)+1;
        questText = (char*)realloc(questText, sizeof(char)*newQuestStringSize);
        strcat(questText, newQuestText);
        free(newQuestText);
    }
    //Se n�o pode ser criada uma nova quest, vai retornar NULL aqui!
    return questText;
}

int main()
{
    int randomSeed, maxQuest;
    char* questLine;
    scanf("%d %d", &randomSeed, &maxQuest);
    srand(randomSeed);
    questLine = addQuest(0, maxQuest);
    printf("%s\n", questLine);
    free(questLine);
}
