#include "Quests.h"

questStruct_t getQuestDatabyType(questEnum_t questType)
{
    questStruct_t questStruct;
    int nameIndex, titleIndex;

    nameIndex = rand()%10;
    titleIndex = rand()%10;

    switch((int)questType)
    {
        case TALK_TO_QUEST:
            //Pegar os dados de NPC
            questStruct.name = (char*)malloc(sizeof(char)*(strlen(characterNames[nameIndex])+1));
            strcpy(questStruct.name, characterNames[nameIndex]);
            questStruct.title = (char*)malloc(sizeof(char)*(strlen(characterTitles[titleIndex])+1));
            strcpy(questStruct.title, characterTitles[titleIndex]);
            questStruct.instruction = TALK_TO_INSTRUCTION;
            break;
        case GET_ITEM_QUEST:
            //Pegar os dados de Item
            questStruct.name = (char*)malloc(sizeof(char)*(strlen(itemNames[nameIndex])+1));
            strcpy(questStruct.name, itemNames[nameIndex]);
            questStruct.title = (char*)malloc(sizeof(char)*(strlen(itemTitles[titleIndex])+1));
            strcpy(questStruct.title, itemTitles[titleIndex]);
            questStruct.instruction = GET_ITEM_INSTRUCTION;
            break;
    }
    return questStruct;
}

char* addQuestText(questEnum_t questType)
{
    int textStringSize;
    char *questText;
    questStruct_t questStruct;

    questStruct = getQuestDatabyType(questType);

    textStringSize = strlen(questStruct.instruction) + strlen(questStruct.name) + 1 + strlen(questStruct.title) + 2;
    questText = (char*) malloc(sizeof(char)*textStringSize);

    strcpy(questText, questStruct.instruction);
    strcat(questText, questStruct.name);
    strcat(questText, " ");
    strcat(questText, questStruct.title);
    strcat(questText, "\n");

    free(questStruct.name);
    free(questStruct.title);

    return questText;
}
