#ifndef _QUESTS_H_
#define _QUESTS_H_

#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#define QUEST_TYPES 2
#define TALK_TO_INSTRUCTION "You must talk to "
#define GET_ITEM_INSTRUCTION "You must get the "

typedef enum _questEnum_t
{
    TALK_TO_QUEST=0,
    GET_ITEM_QUEST=1
} questEnum_t;

typedef struct _questStruct_t
{
    char* instruction;
    char* name;
    char* title;
} questStruct_t;

static const char characterNames[10][10] = {
    {"Joe"}, {"Bill"}, {"Kuro"}, {"Musashi"}, {"Mario"}, {"Sonic"}, {"Banjo"},
    {"Zidane"}, {"Vivi"}, {"Link"}
};

static const char characterTitles[10][15] = {
    {"the Brave"}, {"the Wise"}, {"the Lost"}, {"the Cute"}, {"the Strong"}, {"the Poor"}, {"the Fast"},
    {"the Average"}, {"the Silent"}, {"the Plumber"}
};

static const char itemNames[10][10] = {
    {"Sword"}, {"Shield"}, {"Hat"}, {"Armor"}, {"Boots"}, {"Potion"}, {"Book"},
    {"Necklace"}, {"Ring"}, {"Glasses"}
};

static const char itemTitles[10][15] = {
    {"of Coolness"}, {"of Sorrow"}, {"of Fire"}, {"of Ice"}, {"of Wind"}, {"of Earth"}, {"of Darkness"},
    {"of Light"}, {"of Boredom"}, {"of Emptiness"}
};

questStruct_t getQuestDatabyType(questEnum_t questType);

char* addQuestText(questEnum_t questType);

#endif
